---
- name: Dependencies installed
  community.general.pkgng:
    name: npm-node16,jpeg-turbo,tiff,webp,lcms2,freetype2,yarn-node16,cairo,pango,gmake,pkgconf,pixman
    state: latest

- name: Source folder exists
  file:
    path: /usr/local/src
    mode: 0755
    state: directory

- name: scratch-www source deployed
  git:
    repo: https://github.com/LLK/scratch-www
    dest: /usr/local/src/scratch-www
    update: yes
  ignore_errors: true
  tags:
    - deploy

- name: scratch-www deps installed
  shell:
    cmd: npm install
    chdir: /usr/local/src/scratch-www
